Bug 22437 - Editing a blank document generates fsav (linux) virus
Editing a blank document generates fsav (linux) virus
Product: Red Hat Linux
Classification: Retired
Component: file (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-12-18 02:21 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-18 02:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-18 02:21:08 EST
If you create a new document, of ASCII text with emacs (GNU Emacs 20.7.1
(i386-redhat-linux-gnu, X toolkit) of Tue Oct 10 2000 on porky.) and
populate that file with text you cat cut and pasted from another window,
the file gets the wrong magic number.
When you run file from the command line you will get an error like:

fsav (linux) virus (29811-74)

The hard part is that the text has to be of sufficent length and contain no
"#" sybols for this error to occur (meaning that if you try this with say
/etc/printcap you will not be able to duplicate the error.)

I have enclosed a piece of test text that will do the trick.  The test text
is delimited by "==CUT HERE==" at the beginning and end of the text.

Hi Sean,
Just wanted to follow-up on mom & dad's gift and Moriarty. Did you have a
chance to visit the links? I'll be in Moriarty on Friday. I was hoping
maybe we could go to ABQ. on Sat. I think I just need to replace the fan on
my computer. As for gifts, here's my list. In any event, just let me know
your thoughts. Thanks.
The Outfield - Play Deep
Grease - The Soundtrack
Those are old CDs and if you can't find them, consider a DVD. Although I
don't own a DVD player yet, I will be purchasing one in the next year.
True Romance (1993)
Terminator 2: Judgment Day (1991)
Thelma & Louise (1991)
Comment 1 Trond Eivind Glomsrxd 2000-12-18 10:15:16 EST
This was an error in the magic file, which had a bad check - this has been fixed
in file-3.33-1, currently in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.